// @flow
// $FlowFixMe
import { Platform, StyleSheet } from 'react-native';
import { border, colors } from '../Utils/Theme';

const styles = StyleSheet.create({
  field: {
    ...Platform.select({
      web: {
        boxSizing: 'border-box',
      },
    }),
    height: 44,
    marginTop: 16,
    marginBottom: 8,
    display: 'flex',
  },
  input: {
    ...Platform.select({
      web: {
        boxSizing: 'border-box',
      },
    }),
    display: 'flex',
    height: 44,
    width: 200,
    paddingTop: 16,
    paddingBottom: 8,
    borderBottomColor: border.color,
    borderStyle: border.style,
    borderBottomWidth: border.width,
  },
  hovered: {
    borderBottomColor: colors.black(),
  },
  focused: {
    ...Platform.select({
      web: {
        outline: 'none',
      },
    }),
    paddingBottom: 7,
    borderBottomColor: colors.primary,
    borderBottomWidth: border.width * 2,
  },
  label: {
    ...Platform.select({
      web: {
        transitionDuration: '0.18s',
        transitionProperty: 'transform, color',
        transitionTimingFunction: 'cubic-bezier(0.4, 0, 0.2, 1)',
      },
    }),
    display: 'flex',
    width: 200,
    position: 'relative',
    top: -28,
    zIndex: -1,
  },
  focusedLabel: {
    transform: [{ translateY: -18 }],
  },
});

export default styles;
